VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CGraphicsTransform Struct Reference
Version 4.0

Graphics Transform Matrix. More...

## Public Member Functions
| CGraphicsTransform ()=default
| CGraphicsTransform (double _m11, double _m12, double _m21, double _m22, double _dx, double _dy)
CGraphicsTransform & | translate (double x, double y)
CGraphicsTransform & | translate (const CPoint &p)
CGraphicsTransform & | scale (double x, double y)
CGraphicsTransform & | scale (const CPoint &p)
CGraphicsTransform & | rotate (double angle)
CGraphicsTransform & | rotate (double angle, const CPoint &center)
CGraphicsTransform & | skewX (double angle)
CGraphicsTransform & | skewY (double angle)
bool | isInvariant () const
void | transform (CCoord &x, CCoord &y) const
void | transform (CCoord &left, CCoord &right, CCoord &top, CCoord &bottom) const
CPoint & | transform (CPoint &p) const
CRect & | transform (CRect &r) const
CGraphicsTransform | inverse () const
CGraphicsTransform | operator* (const CGraphicsTransform &t) const
CGraphicsTransform | operator* (const CGraphicsTransform *t) const
bool | operator== (const CGraphicsTransform &t) const
bool | operator!= (const CGraphicsTransform &t) const

## Public Attributes
double | m11 {1.}
double | m12 {0.}
double | m21 {0.}
double | m22 {1.}
double | dx {0.}
double | dy {0.}

## Detailed Description

Graphics Transform Matrix.

## Constructor & Destructor Documentation

CGraphicsTransform | ( |  | ) |
| default

CGraphicsTransform | ( | double | _m11,
|  | double | _m12,
|  | double | _m21,
|  | double | _m22,
|  | double | _dx,
|  | double | _dy
| ) |  |
| inline

## Member Function Documentation

CGraphicsTransform inverse | ( |  | ) | const
| inline

bool isInvariant | ( |  | ) | const
| inline

bool operator!= | ( | const CGraphicsTransform & | t | ) | const
| inline

CGraphicsTransform operator* | ( | const CGraphicsTransform & | t | ) | const
| inline

CGraphicsTransform operator* | ( | const CGraphicsTransform * | t | ) | const
| inline

bool operator== | ( | const CGraphicsTransform & | t | ) | const
| inline

CGraphicsTransform& rotate | ( | double | angle | ) |
| inline

CGraphicsTransform& rotate | ( | double | angle,
|  | const CPoint & | center
| ) |  |
| inline

CGraphicsTransform& scale | ( | double | x,
|  | double | y
| ) |  |
| inline

CGraphicsTransform& scale | ( | const CPoint & | p | ) |
| inline

CGraphicsTransform& skewX | ( | double | angle | ) |
| inline

CGraphicsTransform& skewY | ( | double | angle | ) |
| inline

void transform | ( | CCoord & | x,
|  | CCoord & | y
| ) |  | const
| inline

void transform | ( | CCoord & | left,
|  | CCoord & | right,
|  | CCoord & | top,
|  | CCoord & | bottom
| ) |  | const
| inline

CPoint& transform | ( | CPoint & | p | ) | const
| inline

CRect& transform | ( | CRect & | r | ) | const
| inline

CGraphicsTransform& translate | ( | double | x,
|  | double | y
| ) |  |
| inline

CGraphicsTransform& translate | ( | const CPoint & | p | ) |
| inline

## Member Data Documentation

double dx {0.}

double dy {0.}

double m11 {1.}

double m12 {0.}

double m21 {0.}

double m22 {1.}

The documentation for this struct was generated from the following file:

- cgraphicstransform.h